WordPress.org

Plugin Directory

Test out the new Plugin Directory and let us know what you think.

BuddyPress Registration Options

Moderate new BuddyPress members and fight BuddyPress spam.

  1. What does this plugin do?

We do our best to prevent unmoderated users from being able to interact or even access the social network areas of your website until approved. This includes BuddyPress and evolving support for bbPress as well. The plugin has evolved since its original origins, so admittedly the "registration options" part has changed. It focuses on moderation.

  1. What does this plugin not do?

We do not prevent overall spam from getting through. We also don't prevent the activation emails from going out for the user. Even on a private network, the user would be able to activate the user account and log in and see at least their own profile. When just "Moderate New Members" is checked, they will be able to browse around and see a general picture, but they won't be able to interact. If you believe you have found a bug or "hole" with this, please start a support thread at https://wordpress.org/support/plugin/bp-registration-options and we will respond there.

  1. Does it offer support for bbPress?

bbPress support is a work in progress. As we continue to develop it, we will do what we can to help prevent bbPress forum acces, but at the moment it is not as comprehensively covered as BuddyPress.

  1. Does it account for multisite super admins being the only ones able to edit users?

A work in progress. We are aware of the limitation, and are trying to find the best solution around this issue, especially for anyone who isn't a super admin in a Multisite network, but still wants social network functionality for their site within the network.

  1. Is this a good plugin to help prevent spam coming into my whole site?

If you are looking for sitewide spam prevention, we will not be the right plugin for you. Our plugin will only cover the BuddyPress and bbPress areas. Regular WordPress pages or the blog would still be able to be accessed.

Requires: 3.5 or higher
Compatible up to: 4.7.1
Last Updated: 4 weeks ago
Active Installs: 4,000+

Ratings

4.3 out of 5 stars

Support

1 of 12 support threads in the last two months have been marked resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

50,2,1 0,1,0
0,1,0
0,4,0
0,7,0 25,8,2
0,6,0
11,9,1 100,1,1 100,1,1 100,1,1 75,4,3
67,3,2
100,1,1
0,1,0
0,5,0
0,2,0
0,2,0
0,1,0
8,13,1
0,6,0
0,1,0
0,3,0 100,1,1
0,1,0 40,5,2
20,5,1 0,1,0
67,3,2 0,1,0
100,1,1
0,1,0 100,1,1 100,1,1
100,1,1
0,1,0
0,1,0 0,1,0
100,1,1
100,1,1
100,1,1